Foxit PDF SDK

Class Methods | Properties | List of all members
FSPathObject Class Reference
Inheritance diagram for FSPathObject:

## Class Methods
(FSPathObject *) | + create
| Create a new path graphics object. More...
(FSPathObject *) | + createFromTextObject:text_obj:
| Create a path graphics object from a text object. More...

## Properties
FSFillMode | fillMode
| Get or Set fill mode.
FSPath * | pathData
| Get or Set the path data.
BOOL | strokeState
| Get or Set stroke state.
Properties inherited from FSGraphicsObject
FSGraphicsObjectBlendMode | blendMode
| Get or Set the blend mode for transparent imaging model.
FSRectF * | clipRect
| Get or Set clip rectangle.
FSColorState * | colorState
| Get or Set color state. More...
unsigned int | fillColor
| Get or Set the fill color. More...
float | fillOpacity
| Get or Set the opacity value for painting operations other than stroking.
FSGraphState * | graphState
| Get or Set graph state. More...
FSMatrix2D * | matrix
| Get or Set matrix.
unsigned int | strokeColor
| Get or Set the stroke color. More...
float | strokeOpacity
| Get or Set opacity value for stroke painting operations for paths and glyph outlines.

## Additional Inherited Members
Instance Methods inherited from FSGraphicsObject
(BOOL) | - addClipPath:fill_mode:
| Add a path for clipping. More...
(BOOL) | - addClipTextObject:
| Add text object for clipping. More...
(BOOL) | - clearClips
| Clear all clips. More...
(FSGraphicsObject *) | - clone
| Clone a new graphics object. More...
(FSGraphicsObject *) | - cloneWithSrcGraphicsobjects:dest_graphicsobjects:
| Clone a new graphics object. More...
(FSPath *) | - getClipPath:
| Get a path clip by index. More...
(int) | - getClipPathCount
| Get the count of path clip. More...
(FSFillMode) | - getClipPathFillMode:
| Get the fill mode of a path clip by index. More...
(FSTextObject *) | - getClipTextObject:
| Get the text object of a text clip by index. More...
(int) | - getClipTextObjectCount
| Get the count of text clip. More...
(FSFormXObject *) | - getFormXObject
| Get the form XObject graphics object if current graphics object represents a form XObject object. More...
(FSImageObject *) | - getImageObject
| Get the image graphics object if current graphics object represents an image object. More...
(FSLayerNodeArray *) | - getLayers:
| Get all the layers which are associated with current graphics object. More...
(FSMarkedContent *) | - getMarkedContent
| Get marked content object. More...
(FSPathObject *) | - getPathObject
| Get the path graphics object if current graphics object represents a path object. More...
(FSRectF *) | - getRect
| Get the rectangle of current graphics object. More...
(FSShadingObject *) | - getShadingObject
| Get the shading graphics object if current graphics object represents a shading object. More...
(FSTextObject *) | - getTextObject
| Get the text graphics object if current graphics object represents a text object. More...
(FSGraphicsObjectType) | - getType
| Get the type of current graphics object. More...
(BOOL) | - hasTransparency
| Check whether current graphics object has transparency or not. More...
(BOOL) | - removeClipPath:
| Remove a path clip by index. More...
(BOOL) | - removeClipTextObject:
| Remove a text clip by index for clipping. More...
(void) | - rotate:
| Rotate current graphics object from current state with specified angle degree in clockwise. More...
(BOOL) | - transform:need_transform_clippath:
| Transform current graphics object. More...

## Detailed Description

Path graphics object is a kind of PDF graphics object, so class FSPathObject is derived from class FSGraphicsObject . It offers functions to get/set path graphics object's data.
To create a new path graphics object, please use function FSPathObject::create and then use setting functions to set information to the new path graphics object. Function FSPathObject::createFromTextObject:text_obj: can be used to create a path graphics object from a text graphics object.

See also
  FSGraphicsObject

## Method Documentation

## ◆ create()

+ (FSPathObject *) create |  |  |

Create a new path graphics object.

The newly created path graphics object does not have any data yet. Then, setting functions can be called to set data to the new path graphics object.

Returns
  A new path graphics object. If there is any error, this function will return nil.

## ◆ createFromTextObject:text_obj:()

+ (FSPathObject *) createFromTextObject: |  | (FSPDFPage*) | page
text_obj: |  | (FSTextObject*) | text_obj

Create a path graphics object from a text object.

Parameters

  [in] | page | A valid PDF page object.
  [in] | text_obj | A text graphics object. It should not be nil. Please ensure the text graphics object is in the PDF page specified by parameter page.

Returns
  A new path graphics object. If there is any error, this function will return nil.